# Generated by Django 2.0.5 on 2018-05-09 14:44

import django.contrib.postgres.fields.jsonb
import django.core.serializers.json
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ChainEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Event name', max_length=120)),
                ('args', django.contrib.postgres.fields.jsonb.JSONField(encoder=django.core.serializers.json.DjangoJSONEncoder, help_text='Event arguments')),
                ('log_index', models.PositiveIntegerField(help_text='Position of the event in the logs')),
                ('tx_index', models.PositiveIntegerField(help_text='Index of the transaction inside the block')),
                ('tx_hash', models.CharField(help_text='Transaction hash', max_length=66)),
                ('block_number', models.PositiveIntegerField(help_text='Block number')),
                ('block_hash', models.CharField(help_text='Block hash', max_length=66)),
                ('address', models.CharField(help_text='Contract address that the event originated from', max_length=42)),
                ('created', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'verbose_name': 'Blockchain event',
                'verbose_name_plural': 'Blockchain events',
                'db_table': 'chain_events',
            },
        ),
        migrations.CreateModel(
            name='DatacenterClient',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120)),
                ('channel_name', models.CharField(help_text='Ephemeral channel name', max_length=120)),
                ('status', models.CharField(choices=[('connected', 'Connected'), ('disconnected', 'Disconnected'), ('unknown', 'Unknown')], default='unknown', max_length=40)),
                ('address', models.CharField(help_text='Wallet address of the DC', max_length=42, unique=True)),
                ('last_connected', models.DateTimeField(blank=True, help_text='Last timestamp of ws connect', null=True)),
                ('last_disconnected', models.DateTimeField(blank=True, help_text='Last timestamp of ws disconnect', null=True)),
                ('last_message', models.DateTimeField(blank=True, help_text='Last timestamp of message receive', null=True)),
            ],
            options={
                'verbose_name': 'Datacenter client',
                'verbose_name_plural': 'Datacenter clients',
                'db_table': 'datacenter_clients',
            },
        ),
        migrations.CreateModel(
            name='DatacenterMessageLog',
            fields=[
                ('request_id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('request_payload', django.contrib.postgres.fields.jsonb.JSONField(encoder=django.core.serializers.json.DjangoJSONEncoder, help_text='Payload send to the DC ws client')),
                ('response_payload', django.contrib.postgres.fields.jsonb.JSONField(blank=True, encoder=django.core.serializers.json.DjangoJSONEncoder, help_text='Payload received from the DC ws client', null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('dc_client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='message_logs', to='ws.DatacenterClient')),
            ],
            options={
                'verbose_name': 'Datacenter message log',
                'verbose_name_plural': 'Datacenter message logs',
                'db_table': 'datacenter_message_logs',
            },
        ),
    ]
